bucketId.
Create a bucket
POST /storage/buckets
string
required
Unique display name.
private | public
default:"private"
Bucket visibility.
string
Preferred region when available.
string
Optional public cache behavior.
boolean
default:"false"
Enables supported object versioning.
Bucket endpoints
Upload an object
POST /cdn/assets
This endpoint uses multipart/form-data.
file
required
Object contents.
string
required
Destination bucket ID.
private | public
default:"public"
Per-object visibility.
string
Optional object path.
Object endpoints
Create an S3 access key
POST /storage/buckets/{bucketId}/access-keys
string
Label for the integration using the key.
read | read_write
default:"read"
Allowed S3 operations.
accessKeyId and secretAccessKey; do not send PXXL_API_KEY to https://storage.pxxl.app/s3.
